Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::TerminalBlock::Settings Struct Reference

## Public Attributes
boolean | inputEnabled
| Enable KVM access control based on input status.
InputStatus | activeInputState
| Input status is used to control KVM access.
InputMode | inputRemote
| KVM access control applied to remote user.
InputMode | inputLocal
| KVM access control applied to local user.
boolean | outputEnabled
| Enable output.
OutputMode | outputMode
| Output options.
int | blinkPulseInterval
| Interval (in half seconds) for blink/pulse.
boolean | kvmIdleOff
| Only effective in KVMSTATUS option: true: output off when KVM idle, output on otherwise false: output on when KVM idle, output off otherwise.

## Detailed Description

Definition at line 43 of file TerminalBlock.idl.

## Member Data Documentation

## ◆ activeInputState

InputStatus radm::TerminalBlock::Settings::activeInputState

Input status is used to control KVM access.

Definition at line 45 of file TerminalBlock.idl.

## ◆ blinkPulseInterval

int radm::TerminalBlock::Settings::blinkPulseInterval

Interval (in half seconds) for blink/pulse.

Definition at line 50 of file TerminalBlock.idl.

## ◆ inputEnabled

boolean radm::TerminalBlock::Settings::inputEnabled

Enable KVM access control based on input status.

Definition at line 44 of file TerminalBlock.idl.

## ◆ inputLocal

InputMode radm::TerminalBlock::Settings::inputLocal

KVM access control applied to local user.

Definition at line 47 of file TerminalBlock.idl.

## ◆ inputRemote

InputMode radm::TerminalBlock::Settings::inputRemote

KVM access control applied to remote user.

Definition at line 46 of file TerminalBlock.idl.

## ◆ kvmIdleOff

boolean radm::TerminalBlock::Settings::kvmIdleOff

Only effective in KVMSTATUS option: true: output off when KVM idle, output on otherwise false: output on when KVM idle, output off otherwise.

Definition at line 51 of file TerminalBlock.idl.

## ◆ outputEnabled

boolean radm::TerminalBlock::Settings::outputEnabled

Enable output.

Definition at line 48 of file TerminalBlock.idl.

## ◆ outputMode

OutputMode radm::TerminalBlock::Settings::outputMode

Output options.

Definition at line 49 of file TerminalBlock.idl.

The documentation for this struct was generated from the following file:

- TerminalBlock.idl